<?php

/* Copyright (C) 2017 	oscss-shop 					<support@oscss-shop.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * 	\file       htdocs/comm/propal/note.php
 * 	\ingroup    propal
 * 	\brief      Fiche d'information sur une proposition commerciale
 */
//use \Form;
//use \Formother;
//use \UserGroup;
//use \User;
//use \ExtraFields;
//
//use \Propal;

use \CORE\FRAMEWORK\Societe as Societe;
//use \CORE\FRAMEWORK\AutoTabs as AutoTabs;
//use \CORE\FRAMEWORK\AutoTabsRequired as AutoTabsRequired;
use \CORE\DOLMESSAGE\AutoTabsDolmessage as AutoTabsDolmessage;
use function \commande_prepare_head as order_prepare_head;

dol_include_once('/framework/core/lib/greffon.lib.php');

dol_include_once('/framework/class/autotabs.class.php');
dol_include_once('/dolmessage/class/AutoTabsDolmessage.class.php');
dol_include_once('/dolmessage/class/connector/dolimap.class.php');
dol_include_once('/dolmessage/class/connector/dollocalmessage.class.php');
dol_include_once('/dolmessage/class/user.mailconfig.class.php');
dol_include_once('/dolmessage/core/lib/message.lib.php');



require_once DOL_DOCUMENT_ROOT . '/core/lib/ticket.lib.php';
require_once DOL_DOCUMENT_ROOT . '/ticket/class/ticket.class.php';

$langs->load('propal');
$langs->load('compta');
$langs->load('bills');
$langs->load("companies");

$langs->load("framework@framework");


// Security check
// if ($user->societe_id) $socid=$user->societe_id;
// $result = restrictedArea($user, 'propale', $id, 'propal');




Class TabsTicket extends AutoTabsDolmessage {

    public
    /**
      @var
     */
            $name
            ,
            /**
              @var array
             */
            $refparam = array(
                'rowid' => 'int'
                , 'socid' => 'int'
                , 'ref' => 'alpha'
                , 'action' => 'alpha'
                , 'mod' => 'alpha'
                , 'tab' => 'alpha'
                    )

    ;
}
